Pilotes graphiques nvidia-drivers avec noyau 3.6.* sous Gentoo

Voici un problème que j’ai rencontré pour la mise à jour des pilotes graphiques nvidia sous Gentoo avec le noyau 3.6.*:

1
2
/var/tmp/portage/x11-drivers/nvidia-drivers-295.71/work/kernel/nv-acpi.c: In function 'nv_acpi_remove':
/var/tmp/portage/x11-drivers/nvidia-drivers-295.71/work/kernel/nv-acpi.c:303:9: error: too many arguments to function 'acpi_os_wait_events_complete'


L’API ACPI du noyau ayant changé, voici le patch à appliquer :

http://cvs.rpmfusion.org/viewvc/rpms/nvidia-kmod/devel/3.6_kernel.patch?revision=1.2&root=nonfree&view=markup

Par contre, inutile de créer une version spéciale, nous allons patcher toutes les version nvidia-drivers d’un coup (par contre, il faudra retirer ce patchs si on veut compiler le module nvidia sur un noyau < 3.6).

Copier le patch dans : /etc/portage/patches/x11-drivers/nvidia-drivers/

1
install -dv /etc/portage/patches/x11-drivers/nvidia-drivers/

Il ne reste plus qu’à recompiler le package nvidia-divers et le patch sera appliqué automatiquement.

About Ludovic

Ingénieur en informatique dipl. EPFL
Cette entrée a été postée dans la catégorie Ebuild, Gentoo, Linux et taggée , . Ajouter le permalink aux favoris.

Comments are closed.